import { __awaiter } from "tslib";
import axios from 'axios';
export default class ElasticDataLoader {
    constructor(config) {
        this.config = config;
        this.config = config;
    }
    load(req) {
        return __awaiter(this, void 0, void 0, function* () {
            try {
                const { data } = yield axios.request({
                    baseURL: this.config.endpoint,
                    url: req.path,
                    headers: req.params.headers,
                    params: req.params.queryString,
                    method: req.operation.toLowerCase(),
                    data: req.params.body,
                });
                return data;
            }
            catch (err) {
                console.log(err);
            }
            return null;
        });
    }
}
